/*
  THIS SOURCE CODE IS SUPPLIED ``AS IS'' WITHOUT WARRANTY OF ANY KIND,
  AND ITS AUTHOR AND THE JOURNAL OF ARTIFICIAL INTELLIGENCE RESEARCH
  (JAIR) AND JAIR'S PUBLISHERS AND DISTRIBUTORS, DISCLAIM ANY AND ALL
  WARRANTIES, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF
  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND ANY
  WARRANTIES OR NON INFRINGEMENT. THE USER ASSUMES ALL LIABILITY AND
  RESPONSIBILITY FOR USE OF THIS SOURCE CODE, AND NEITHER THE AUTHOR
  NOR JAIR, NOR JAIR'S PUBLISHERS AND DISTRIBUTORS, WILL BE LIABLE FOR
  DAMAGES OF ANY KIND RESULTING FROM ITS USE. Withot limiting the
  generality of the foregoing, neither the author, nor JAIR, nor JAIR's
  publishers and distributors, warrant that the Source Code will be
  error-free, will operate without interruption, or will meet the needs
  of the user.
*/

#include <stdio.h>
#include <string.h>

/* Coding of point-interval relations */
/* coded as binary, assuming int  16bit or more */

#define RDR              1
#define RPO              2
#define RPP              4
#define RPQ              8
#define REQ             16
#define DALL		31

#define RALL DALL
#define RC1  RDR|RPO|RPP
#define RC2  RDR|RPO|RPQ
#define RC3  RPO|RPP|RPQ|REQ
#define RC5  RPO|RPP
#define RC6  RPO|RPQ
#define RC7  RPO|RPP|RPQ|REQ

/* Number of possible disjunctions (incl. 0) */
#define MAXSET		32
/* Number of basic relations */
#define	MAXREL		5
